<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/SXR/SXRIndex.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.SXR.SXRIndex</title>
<link href="../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../Synopsis.html" >Synopsis</a>.<a href="../../Formatters.html" >Formatters</a>.<a href="../SXR.html" >SXR</a>
</div><div class="class-name">class SXRIndex

</div><div class="links"><div class="file">File: <a href="../../../../File/Synopsis/Formatters/SXR.py.html" target="detail">../Synopsis/Formatters/SXR.py</a></div> <div class="xref"><a href="../../../../XRef/xref16.html#Synopsis.Formatters.SXR.SXRIndex" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/SXR.py.html#line19" ><img src="../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="SXRIndex-inheritance" src="SXRIndex-inheritance.png" hspace="8" vspace="8" border="0" usemap="#SXRIndex-inheritance_map" />
<map name="SXRIndex-inheritance_map"></map>
 <div class="doc">Top level Index View. This is the starting point for the SXR browser.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Class attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="sxr_cgi">sxr_cgi</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/SXR.py.html#line22" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="filename">filename</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../XRef/xref16.html#Synopsis.Formatters.SXR.SXRIndex.filename" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/SXR.py.html#line24" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="title">title</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../XRef/xref16.html#Synopsis.Formatters.SXR.SXRIndex.title" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/SXR.py.html#line28" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="root">root</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../XRef/xref16.html#Synopsis.Formatters.SXR.SXRIndex.root" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/SXR.py.html#line32" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="SXRIndex.html#process" >process</a></span>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../XRef/xref16.html#Synopsis.Formatters.SXR.SXRIndex.process" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/SXR.py.html#line36" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Recursively visit each directory below the base path given in the
        config.</div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="process">process</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../XRef/xref16.html#Synopsis.Formatters.SXR.SXRIndex.process" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/SXR.py.html#line36" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Recursively visit each directory below the base path given in the
        config.</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:26:57 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
